#include <bits/stdc++.h>
using namespace std;
int uc(int a,int b)
{
    int r;
    while(b>0)
    {
        r=a%b;
        a=b;
        b=r;
    }
    return a;
}
int main()
{
      ifstream f1("NTCN.INP");
      ofstream f2("NTCN.OUT");
      int n,a[1000],i,j,dem=0;
      f1>>n;
      for(i=0;i<n;i++)
      {
          f1>>a[i];
      }
      for(i=0;i<n-1;i++)
      {
          for(j=i+1;j<n;j++)
          {
              if(uc(a[i],a[j])==1)dem++;
          }
      }
      f2<<dem;
      f1.close();
      f2.close();
}
